Subject: [secdir] secdir review of draft-ietf-mpls-rsvp-te-no-php-oob-mapping-08

From: Barry Leiba <[email-masked]>
Date: Fri, 19 Aug 2011 14:10:24 -0400

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the
IESG.  These comments were written primarily for the benefit of the
security area directors.  Document editors and WG chairs should treat
these comments just like any other last call comments.

It's a simple draft, defining a few new flags, and I don't see any
problems with it.

I have one minor question; in section 2.2 is this:

      An Ingress LSR sets the OOB mapping indication flag to signal the
      Egress LSR that binding of RSVP-TE LSP to an application and
      payload identification is being signaled out-of-band. This flag
      MUST NOT be modified by any other LSRs in the network. LSRs other
      than the Egress LSRs SHOULD ignore this flag.

On that last "SHOULD": what does it mean for any other LSR *not* to
ignore the flag?  That is, what can they do?  How can they not ignore
it, since there's no defined behaviour for them to do with it?

Barry

---

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 22 Aug 2011 14:59:07 +0100

Since the authors and document shepherd haven't responded, and since Stephen
mentions the review in Comment, I will take on responding...

> it, since there's no defined behaviour for them to do with it?

There is a difference between not being told to do something, and being told to
not do something.

It would be extreme, IMHO, to say that a transit LSR MUST ignore the flag.
The fact that there is no behavior required of the transit LSR and nothing that
pertains to the LSP that can be thought of for the LSR to do, is not reason to
forbid the LSR from looking at the flag, saying "Ooooh, that's interesting", and
sending a message to its third cousin in Baltimore to gossip about the fact.
In the same way that a router "SHOULD" ignore the source IP address on a packet
when it routes it, there is no reason to prohibit examination of the field.

Cheers,
Adrian

---

From: Barry Leiba <[email-masked]>
Date: Mon, 22 Aug 2011 10:12:06 -0400

> mentions the review in Comment, I will take on responding...

Thanks.

>> I have one minor question; in section 2.2 is this:
...
>> it, since there's no defined behaviour for them to do with it?
...
> when it routes it, there is no reason to prohibit examination of the field.

OK... works for me.  As I said, it was just a minor question.

For what it's worth, I think I would put such situations in
non-normative language, as something like, "This flag is not
applicable to, and has no use for LSRs other than the Egress LSRs ."
But what's there is fine.  Thanks for answering my query.

Barry

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Mon, 22 Aug 2011 14:46:51 -0500

Hi Adrian- 

Thanks for taken care of the comment; very much appreciated. 

Ross/ Adrian- 

I saw the email that a word-smiting related comment from Ross has been put as a note to RFC editor by Adrian. I.e., we assume no action from authors is required. Please advise, if otherwise. 

Thanks

Regards ... Zafar 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Barry Leiba
> Sent: Monday, August 22, 2011 10:12 AM
> To: [email-masked]
> Cc: [email-masked]; draft-ietf-mpls-rsvp-te-no-php-oob-
> [email-masked]; [email-masked]
> Subject: Re: secdir review of draft-ietf-mpls-rsvp-te-no-php-oob-
> mapping-08
>

---

From: Ross Callon <[email-masked]>
Date: Mon, 22 Aug 2011 22:51:30 -0400

> Ross/ Adrian- 
>
> I saw the email that a word-smiting related comment from
> Ross has been put as a note to RFC editor by Adrian. I.e.,
> we assume no action from authors is required. Please advise,
> if otherwise. 
>
> Thanks
> Regards ... Zafar 

You are correct. No action needed for my editorial nit (Adrian did it already). 

thanks, Ross